Subject: Re: bug#15874: 24.3.50; exit! not properly font-locked in ruby-mode

From: Dmitry Gutov <[email-masked]>
Date: Wed, 04 Dec 2013 20:31:26 +0200

Bozhidar Batsov <[email-masked]> writes:

> The built-in Kernel#exit! method is not properly font-locked. exit is
> font-locked with the built-in face, but the ! is font-locked with the
> default face.

Any ideas for a regexp that matches (any) non-symbol character?

http://lists.gnu.org/archive/html/emacs-devel/2013-11/msg00684.html

I'm not sure we want to move `!' to the symbol syntax class. Maybe we
even should move `?' back to punctuation.